Bug 147304 - Ability to choose 3rd party display manager.
Summary: Ability to choose 3rd party display manager.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-02-06 21:52 UTC by Need Real Name
Modified: 2014-03-17 02:52 UTC (History)
2 users (show)

Fixed In Version: 8.08-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 17:54:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2005-02-06 21:52:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041114 Firefox/1.0

Description of problem:
The current prefdm script chooses the display manager by looking at
the /etc/sysconfig/desktop file and reading the $DISPLAYMANAGER
variable.  This variable should usually be set to "KDE", "GNOME", etc
each with their own default manager.  If a user installs a 3rd party
display manager like entrance
(http://xcomputerman.com/pages/entrance.html), the user has no way to
be able to run it in the standard run level 6 without editing the
scripts themselves.  Suggested solution is to add another variable
that points to the binary of the display manager or allow a full path
to a display manager to be set via the $DISPLAYMANAGER.  If the
execution of this binary fails, log it and run one of the fallback
managers.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Not applicable.

Additional info:

Comment 1 Bill Nottingham 2005-04-15 17:54:49 UTC
Will be added in 8.08-1. In the meantime, you can set 'preferred' directly in
/etc/sysconfig/desktop, and that should work.


Note You need to log in before you can comment on or make changes to this bug.